%define upstream_name    List-AllUtils
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Combines List::Util and List::MoreUtils in one bite-sized package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::SomeUtils) >= 0.580.0
BuildRequires: perl(List::Util) >= 1.560.0
BuildRequires: perl(List::UtilsBy) >= 0.110.0
BuildRequires: perl(Sub::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Are you sick of trying to remember whether a particular helper is defined
in 'List::Util' or 'List::MoreUtils'? I sure am. Now you don't have to
remember. This module will export all of the functions that either of those
two modules defines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.190.0-2.mga9
+ Revision: 1814416
- Mageia 9 Mass Rebuild

* Wed Apr 28 2021 tv <tv> 0.190.0-1.mga9
+ Revision: 1720210
- update to 0.19

* Mon Sep 07 2020 tv <tv> 0.180.0-1.mga8
+ Revision: 1623061
- update to 0.18

* Mon Mar 02 2020 tv <tv> 0.160.0-1.mga8
+ Revision: 1552839
- update to 0.16

* Fri Feb 14 2020 umeabot <umeabot> 0.150.0-2.mga8
+ Revision: 1520853
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Dec 11 2018 tv <tv> 0.150.0-1.mga7
+ Revision: 1340176
- update to 0.15

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-2.mga7
+ Revision: 1284502
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.140.0-1.mga7
+ Revision: 1128682
- update to 0.14

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1029172
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 965738
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 837089
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 745387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 685234
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 616311
- update to 0.08

* Thu Jan 16 2014 guillomovitch <guillomovitch> 0.70.0-1.mga5
+ Revision: 566673
- new version 0.07

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 533976
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 475917
- update to 0.05

* Sun Aug 25 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 471750
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 369123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 212981
- update to 0.03

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 32130
- mageia rebuild
- imported package perl-List-AllUtils

